function graph_init(string,target,max_time)
                figure(1);
                subplot(1,2,1);
                set(gcf,'Position',get(0,'Screensize'));
                stri='PID Response Comparision';
                title(stri);
                xlabel('Time in seconds');
                ylabel('Angle in degrees');
                axis([0 max_time 0 400]);
                hline = refline([0 target]);
                set(hline,'Color','r')
                legend(string{:});
                hold on;
                str=sprintf('Individual PID Response');
                subplot(1,2,2);
                delete(subplot(1,2,2));
                subplot(1,2,2);
                title(str);
                axis([0 max_time 0 400]);
                xlabel('Time in Seconds');
                ylabel('Angle in degrees');
                hline = refline([0 target]);
                set(hline,'Color','r')
                hold on;
                
             
end